.TH "clurmtabd" "8" "May 2003" "" "Red Hat Cluster Manager"
.SH "NAME"
clurmtabd \- Cluster NFS Remote Mount Table Daemon
.SH "DESCRIPTION"
.PP 
Instances of 
.B clurmtabd
keep entries relevant to a given mount point in sync cluster-wide.  It does
this by polling /var/lib/nfs/rmtab periodically.
.SH "HOW IT WORKS"
.PP
A single instance of 
.B clurmtabd
is spawned by the service manager (clusvcmgrd(8)) for each mount point in a
given user service.  Each instance polls /var/lib/nfs/rmtab every few seconds,
looking for changes.  When changes are detected, they are merged in with the
current in-memory view.  The entries are filtered according to the mount point
being monitored and are subsequently written out synchronously to that
mount point.
.LP
When a user service is relocated (or after a fail-over), clurmtabd reads the
entries on a given mount point and synchronizes them with the new member's
/var/lib/nfs/rmtab.  This is done prior to running the exportfs(8) command
so that clients of the given service do not receive "Stale NFS file handle"
errors.
.SH "NOTES"
.PP
Clurmtabd is not a part of NFS and can not ensure that "Stale NFS file handle"
errors are never received.  It is a best-effort attempt.  To fully prevent
"Stale NFS file handle" errors, it is necessary to modify the Linux kernel
as well as nfs-utils.

.SH "FILES"
/var/lib/nfs/rmtab

.SH "SEE ALSO"
clumembd(8), cluquorumd(8), clulockd(8), clusvcmgrd(8), rpc.mountd(8),
exportfs(8)

You can find more documentation for cluster installation and administration in 
the 
.B The Red Hat Cluster Manager Installation and Administration Guide 
located on the documentation CD\-ROM or online at http://www.redhat.com.
